Bug 1663036 - Review Request: python-speg - A PEG-based parser interpreter with memoization (in time)
Summary: Review Request: python-speg - A PEG-based parser interpreter with memoization...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1663037
TreeView+ depends on / blocked
 
Reported: 2019-01-02 19:35 UTC by Tom "spot" Callaway
Modified: 2019-01-29 03:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-29 02:54:32 UTC
Type: ---
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2019-01-02 19:35:27 UTC
Spec URL: https://spot.fedorapeople.org/python-speg.spec
SRPM URL: https://spot.fedorapeople.org/python-speg-0.3-1.git877acdd.fc29.src.rpm
Description: A PEG-based parser interpreter with memoization.
Fedora Account System Username: spot

Comment 1 Neal Gompa 2019-01-02 19:43:02 UTC
Taking this review.

Comment 2 Neal Gompa 2019-01-02 19:45:15 UTC
Review notes:

[x] Package is named properly according to Packaging Guidelines
[x] Package builds and installs properly
[x] Package follows Python packaging guidelines
[x] License content is correctly included, documented, and installed

PACKAGE APPROVED

Comment 3 Gwyn Ciesla 2019-01-02 20:15:21 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-speg

Comment 4 Miro Hrončok 2019-01-03 09:51:12 UTC
Please no new Python 2 packages. This is not supposed to be approved without exception.

Comment 5 Miro Hrončok 2019-01-03 09:54:05 UTC
Luckily asymptote is Python 3, please just remove the Python 2 bits (or %if them out if you must). (Same thing applies for python-cson.)

Comment 6 Fedora Update System 2019-01-18 21:32:28 UTC
python-speg-0.3-2.git877acdd.fc29 python-cson-0.7-2.fc29 asymptote-2.47-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cbfd912f90

Comment 7 Fedora Update System 2019-01-18 21:32:34 UTC
python-speg-0.3-2.git877acdd.fc28 python-cson-0.7-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b848d904a7

Comment 8 Fedora Update System 2019-01-19 01:43:53 UTC
python-cson-0.7-2.fc28, python-speg-0.3-2.git877acdd.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b848d904a7

Comment 9 Fedora Update System 2019-01-19 04:28:56 UTC
asymptote-2.47-2.fc29, python-cson-0.7-2.fc29, python-speg-0.3-2.git877acdd.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cbfd912f90

Comment 10 Fedora Update System 2019-01-29 02:54:32 UTC
asymptote-2.47-2.fc29, python-cson-0.7-2.fc29, python-speg-0.3-2.git877acdd.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-01-29 03:00:30 UTC
python-cson-0.7-2.fc28, python-speg-0.3-2.git877acdd.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.